Name:           kbtin
Version:        2.3
Release:        %mkrel 1
Summary:        A very heavily extended clone the TinTin++ MUD client
Group:          Games/Other
License:        GPLv2+
URL:            https://github.com/kilobyte/kbtin
Source0:        https://github.com/kilobyte/kbtin/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(gnutls)

Requires:       colorized-logs

%description
KBtin is a console-based MUD client, which means it is meant to be used as a
client to play MUDs (multiplayer text-based games : MUD stands for Multi-User
Dungeon).
It is highly configurable and features everything a MUD client must have,
maybe more.
It improves on the well known TinTin++ MUD client.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS BUGS ChangeLog FAQ KEYPAD OLDNEWS
%license COPYING
%{_bindir}/KBtin
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man6/KBtin.6*
%{_mandir}/man6/%{name}.6*
%{_docdir}/kbtin/manual.html


%changelog
* Thu Jul 03 2025 aurr <aurr> 2.3-1.mga10
+ Revision: 2244777
- new version: 2.3
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Dec 03 2024 daviddavid <daviddavid> 2.1-1.mga10
+ Revision: 2120788
- new version: 2.1
+ neoclust <neoclust>
- New version 2.0

* Tue Mar 29 2022 umeabot <umeabot> 1.0.19-3.mga9
+ Revision: 1832251
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.19-2.mga8
+ Revision: 1522871
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 10 2019 daviddavid <daviddavid> 1.0.19-1.mga7
+ Revision: 1364807
- new version: 1.0.19
- ansi2txt, ansi2html, ttyrec2ansi and pipetty have been moved
  to a separate package "colorized-logs"

* Sun Sep 23 2018 umeabot <umeabot> 1.0.16-2.mga7
+ Revision: 1298448
- Mageia 7 Mass Rebuild

* Wed Jan 13 2016 akien <akien> 1.0.16-1.mga6
+ Revision: 922408
- Version 1.0.16

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.0.15-2.mga6
+ Revision: 921813
- rebuild for gnutls

* Thu Oct 15 2015 akien <akien> 1.0.15-1.mga6
+ Revision: 891940
- Version 1.0.15

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-5.mga5
+ Revision: 750199
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-4.mga5
+ Revision: 680947
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.14-3.mga4
+ Revision: 506559
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.14-2.mga3
+ Revision: 355877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 stormi <stormi> 1.0.14-1.mga3
+ Revision: 339891
- new version 1.0.14

* Tue Aug 02 2011 fwang <fwang> 1.0.13-3.mga2
+ Revision: 131409
- rebuild for new gnutls

* Sat Jan 08 2011 stormi <stormi> 1.0.13-2.mga1
+ Revision: 871
- imported package kbtin


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.13-2mdv2011.0
+ Revision: 619896
- the mass rebuild of 2010.0 packages

* Sat Oct 24 2009 Samuel Verschelde <stormi@mandriva.org> 1.0.13-1mdv2010.0
+ Revision: 459175
- import kbtin

